This document describes how to run the TRTC v5 samples.

English | [简体中文](./README.zh.md)

## Instructions

These samples are created to provide feature demos for [basic features](https://trtc.io/document/59651?platform=web&product=rtcengine&menulabel=web) and [advance features](https://trtc.io/document/59660?platform=web&product=rtcengine&menulabel=web) shown on our [official website](https://trtc.io/document/35078?platform=web&product=rtcengine&menulabel=web). You can get all the detailed information and instructions on the website. 

## Online Demo

We offer an [online web demo](https://web.sdk.qcloud.com/trtc/webrtc/v5/demo/samples/basic-features/screen-sharing/index.html) for you to experience a variety of features of TRTC . Also, you can try our CodePen demos on every [feature page](https://trtc.io/document/59651?platform=web&product=rtcengine&menulabel=web) of our official website.

Enter your application’s `SDKAppID` and `SDKSecretKey` on the webpage to enter a room. For how to get the `SDKAppID` and `SDKSecretKey`, see [TRTC RTC Engine](https://console.trtc.io/engine).

After enter the room, you can use the share link to invite others to try the feature with you.

## How to Run

1. Clone this repository

```bash
git clone https://github.com/Tencent-RTC/TRTC_Web.git
```

2. Enter a specific sample's folder (e.g. screen sharing)

```bash
cd ./TRTC_Web/samples/basic-features/screen-sharing
```

3. Open the `index.html` file with Chrome browser to run the sample.

4. Enter the `SDKAppID` and `SDKSecretKey`. For detailed directions, see [TRTC RTC Engine](https://console.trtc.io/engine).

#### Try the sample

- Input userId and roomId
- Click the "Enter Room" button to enter the room
- Explore the features freely
- Copy the link in "Activate remote stream" to invite other users to experience with you
